Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158771 - CAN-2005-1740 ucd-snmp insecure temporary file usage
Summary: CAN-2005-1740 ucd-snmp insecure temporary file usage
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ucd-snmp
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Brock Organ
URL:
Whiteboard: impact=low,public=20050518,reported=2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 15:30 UTC by Josh Bressers
Modified: 2015-03-05 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-27 10:17:15 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-25 15:30:25 UTC
+++ This bug was initially created as a clone of Bug #158769 +++

fixproc in Net-snmp 5.x before 5.2.1-r1 creates temporary files insecurely,
which allows local users to modify the contents of those files to execute
arbitrary commands, or overwrite arbitrary files via a symlink attack.

It looks like this issue also affects ucd-snmp

Comment 1 Phil Knirsch 2005-06-27 10:17:15 UTC
I've just checked, we don't ship the perl subpackage in AS-2.1 and none of the
shipped packages contain the fixproc utility.

I'm therefore closing this bug as NOTABUG.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.